package com.yidian.shenghuoquan.border.ui

import androidx.activity.viewModels
import com.google.gson.Gson
import com.yidian.bcommon.constant.IntentConstants
import com.yidian.bcommon.constant.IntentConstants.KEY_EXTRA_COUPON_LIST
import com.yidian.bcommon.constant.XRouterPathConstants
import com.yidian.bcommon.constant.XRouterPathConstants.Companion.CHOOSE_VOUCHER_ACTIVITY
import com.yidian.bcommon.extensions.initTitleBar
import com.yidian.bcommon.mvvm.BaseMvvmActivity
import com.yidian.news.ui.SystemBarUtils
import com.yidian.shenghuoquan.border.R
import com.yidian.shenghuoquan.border.adapter.VoncherAdapter
import com.yidian.shenghuoquan.border.utils.SpaceItemDecoration
import com.yidian.shenghuoquan.border.viewmodel.VoncherViewModel
import com.yidian.shenghuoquan.border.databinding.BorderActivityVoncherBinding
import com.yidian.shenghuoquan.border.dto.CouponDto
import com.yidian.xpage.XPageViewProtocol

class VoucherActivity : BaseMvvmActivity<BorderActivityVoncherBinding, VoncherViewModel>(), XPageViewProtocol {

  override val layoutId: Int = R.layout.border_activity_voncher

  override val vm: VoncherViewModel by viewModels()

  private lateinit var listAdapter: VoncherAdapter

  override fun initView() {
    SystemBarUtils.setStatusBarTextColorWhite(this)
    initTitleBar(binding.voncherListToolbar, binding.tvTitle, "我的代金券")
    binding.voncherListToolbar.setNavigationIcon(R.drawable.icon_arrow_white)
    initRecycleView()
  }

  override fun getXPageName(): String {
    return CHOOSE_VOUCHER_ACTIVITY
  }

  private fun initRecycleView() {
    val spacingInPixels = resources.getDimensionPixelSize(R.dimen.dp10)
    binding.rcvVoncherList.addItemDecoration(SpaceItemDecoration(spacingInPixels))
    intent.getSerializableExtra(XRouterPathConstants.ParamsKey)?.let { params ->
      (params as HashMap<*, *>).let {
        listAdapter = VoncherAdapter(this, params[IntentConstants.KEY_EXTRA_COUPON_LIST] as List<CouponDto>)
        binding.rcvVoncherList.adapter = listAdapter
      }
    }
  }
}
